FEB
9
2005

KDE 3.4 Beta 2 "Keinstein" is Waiting for You

There is no shortage of news this week for those of you following the dot, but to top it all off, I'm pleased to announce that the KDE Project has released another beta for the highly-anticipated KDE 3.4. And again, we're asking you to give it a good testing and report all problems you find on bugs.kde.org. A full announcement is available as well the info page listing source and binaries. Your input is valuable to us and will determine the success of this upcoming major release.

Comments

Fun name. :)


By chakie at Wed, 2005/02/09 - 6:00am

Years ago, when I upgraded to a K6 I renamed my old 386 machine to "keinstein" ;-)


By cm at Wed, 2005/02/09 - 6:00am

I am willing to test it, but I don't want to burn my cpu compiling it :)
Do you know if some live cd is/will be out with beta2?


By Anonymous at Wed, 2005/02/09 - 6:00am

Likely there will be at least one in the next one or two days.


By Anonymous at Wed, 2005/02/09 - 6:00am

Yes, a LiveCD would rock!
I think onebase Linux had a KDE Beta Live-CD before.

That's probably the best way for "occasional testers" to have a look and report bugs.
Though I'm running SuSE at the moment (downloading and) installing KDE rpm by rpm can be a pain on this distribution from my experience.

And since there is no apt4rpm repository (or did I miss something?) and no debs/repository at all for Debian/(K)Ubuntu I'd definitely give a Live-CD a try.


By Christoph Wiesen at Wed, 2005/02/09 - 6:00am

See:

http://linux01.gwdg.de/apt4rpm/

I have kept my SuSE 9.1 install bleeding edge through this.

Search around on this page for components (hint... there's a kde and a kde-unstable component):

http://linux01.gwdg.de/apt4rpm/home.html


By ltmon at Wed, 2005/02/09 - 6:00am

Of course - used that before. The age... :-/
Thanks for the info!

So for anyone with SuSE 9.1 or 9.2 (following info is for 9.2) it's really easy to get KDE Beta 2 via apt:

Follow Guru's easy-three-steps how to install apt4rpm:
http://linux01.gwdg.de/~pbleser/article/install_apt4rpm.php

Then add the following line to /etc/apt/sources.list:
rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.2-i386 kde-unstable kde

You need both "kde-unstable" and "kde" because "kde" contains the current QT version (3.3.4) needed by KDE 3.4 Beta2.

Then do "apt-get update" and install whatever KDE components you want.
I've issued the command "apt-get install kdebase kdepim kdelibs qt3" and it will fetch 65MB for now - that's ok even on dial-up (no DSL where I live...).

P.S. It *might* be that you need more components inside your sources.list if you want to fetch some more KDE packages with recent dependencies, so just in case here's what my sources.list contains:

rpm ftp://ftp.gwdg.de/pub/linux/suse/apt/ SuSE/9.2-i386 update security base suser-guru kde kde-unstable


By Christoph Wiesen at Thu, 2005/02/10 - 6:00am

Just add ftp://ftp.suse.com/pub/suse/i386/supplementary/KDE/update_for_9.2/yast-s... as a new package source in Yast, start the Yast Software Installation, user Filter:Package Groups, select group "zzz", then choose from the menu Package->All in this list->Update, if newer version exists.


By Lurchi at Thu, 2005/02/10 - 6:00am

Well, people obviously have different feelings about what
is "a pain".
In addition to the ways mentioned below I prefer to do
it the manual way. It's basically a matter of taste:

1) copies all files + 1 internationalization file from
the FTP-folder
2) Run rpm -Uvh --replacefiles --replacekpkgs *.rpm in that folder

Some novice Linux users I know thought it was a pain because they tried to
install those packages one-by-one and ended up in dependency hell.
If you use "*" rpm will sort this out for you.
Interestingly, you dont really need to shutdown KDE. Just do it in an open terminal. I've never had any major problems. Close all important documents, though and reboot immediately afterwards.
Advantage of doing it in KDE is: You can have YasT running and quickly
install all missing packages (if there are any new dependencies).
Just put YaST and the terminal window side by side.
Don't find that very complicated - just copy files and enter command
but YMMV.


By Martin at Thu, 2005/02/10 - 6:00am

Having used Debian based distributions for the last 1 1/2 year, I'd say that, yes - what you describe is a pain for me and exactly what I meant.
Fetiching _all_ rpms just to be sure that nothin's missing is annoying. Sorting out all the *-devel packages during download is as well.

I still think nothing beats apt - not even in SuSE.


By Christoph Wiesen at Thu, 2005/02/10 - 6:00am

You may try if Klax works for you.


By binner at Fri, 2005/02/11 - 6:00am

is it safer to "make uninstall" kdebeta1 before or is ok to just install on top of it?


By Pat at Wed, 2005/02/09 - 6:00am

In my experience you can get weird bugs by installing over a previous install (e.g. you might get duplicate desktop files in different places) but your mileage might vary.


By ac at Wed, 2005/02/09 - 6:00am

while it compiles just fine on beta1 I get this with beta2:

Making all in ioslave
make[1]: Entering directory `/home/pat/kdebeta3.4/beta2/kdenetwork-3.3.92/kdnssd/ioslave'
/usr/share/qt3/bin/moc ./dnssd.h -o dnssd.moc
if /bin/sh ../../libtool --silent --mode=compile --tag=CXX g++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/include/kde -I/usr/include/qt3 -I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -D_FILE_OFFSET_BITS=64 -Wnon-virtual-dtor -Wno-long-long -Wundef -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -fno-exceptions -fno-check-new -fno-common -DQT_CLEAN_NAMESPACE -DQT_NO_ASCII_CAST -DQT_NO_STL -DQT_NO_COMPAT -DQT_NO_TRANSLATION -MT dnssd.lo -MD -MP -MF ".deps/dnssd.Tpo" -c -o dnssd.lo dnssd.cpp; \
then mv -f ".deps/dnssd.Tpo" ".deps/dnssd.Plo"; else rm -f ".deps/dnssd.Tpo"; exit 1; fi
dnssd.cpp: In member function `bool ZeroConfProtocol::dnssdOK()':
dnssd.cpp:129: error: 'class DNSSD::ServiceBrowser' has no member named '
isAvailable'
dnssd.cpp:130: error: `Stopped' is not a member of type `DNSSD::ServiceBrowser'
dnssd.cpp:134: error: `Unsupported' is not a member of type `
DNSSD::ServiceBrowser'
dnssd.cpp: In member function `void
ZeroConfProtocol::newType(KSharedPtr)':
dnssd.cpp:322: error: `browsedDomains' undeclared (first use this function)
dnssd.cpp:322: error: (Each undeclared identifier is reported only once for
each function it appears in.)
make[1]: *** [dnssd.lo] Error 1
make[1]: Leaving directory `/home/pat/kdebeta3.4/beta2/kdenetwork-3.3.92/kdnssd/ioslave'
make: *** [all-recursive] Error 1

anyone? ( i use mDNSResponder-87)


By Pat at Wed, 2005/02/09 - 6:00am

It seems you have kdelibs from beta1 installed. Those functions your compiler is complaining about was added between beta1 and beta2. Btw: how do you compile beta2? By hand or using konstruct?


By Jakub Stachowski at Wed, 2005/02/09 - 6:00am

by hand on debian sid, its easy.


By Pat at Wed, 2005/02/09 - 6:00am

So got it to compile?


By Jakub Stachowski at Thu, 2005/02/10 - 6:00am

yes, got it compile. thanks :)


By Pat at Sat, 2005/02/12 - 6:00am

I never expect them, but it's nice when there are some.


By c at Wed, 2005/02/09 - 6:00am

With Gentoo you'll never have this problem. :)


By ac at Wed, 2005/02/09 - 6:00am

but with debian u don't need to wait hours for every package u want to install. i only do compile the kernel and kde by hand cause I care getting the latest. plus you can still apt-build on debian if you really want to compile everything. don't mean to start a debianVsGentoo war though :)


By Pat at Wed, 2005/02/09 - 6:00am

As far as I know apt-build doesn't take the march/mcpu/etc options into account simply because no one ever completed apt-build to do that (I think it's unmaintained right now?!). So I can't see a point of compiling any package with apt-build as it will be just as fast as the binary.

But please enlighten me if that has changed, as I am using Debian and would love to see it work.


By mo at Thu, 2005/02/10 - 6:00am

if someone is using Gentoo for speed reasons then they're using it for the wrong reasons.


By mabinogi at Fri, 2005/02/11 - 6:00am

dpkg-reconfigure apt-build
You can select architecture, -Ox and any aditional flags for gcc a make.


By Petr Balas at Sat, 2005/02/12 - 6:00am

I know you can do that, but it is not taken into account when compiling. But then again, only if that hasn't changed recently


By mo at Sat, 2005/02/12 - 6:00am

Why not?

The Beta sources are not in portage and Gentoo doesn't provide any binaries of it either.


By Tom at Thu, 2005/02/10 - 6:00am

The beta sources ARE in portage, beta1 and beta2, monolithic and split ebuilds :)


By TeXTer at Thu, 2005/02/10 - 6:00am

It would be very cool if debian sid binaries were provided for KDE alphas. It would allow lots of people to test it without pain. This would mean more bug reports. As a sysadmin of my lab, I would be ready to install them on several computers.

Steph


By Stéphane at Sat, 2005/02/12 - 6:00am

i totally agree, is there somebody who is willing to make these binary packages ?


By Üllar at Thu, 2005/02/17 - 6:00am

I've tried to build kde 3.4 rc1 into deb packages but there's a problem. KDE provides all we've needed to create packages but the version number are wrong, for exemple, arts is arts-1.2.92 or kdelibs is kdelibs-3.2.92 :(
I've changed for arts but for kdelibs I don't see where I must change the number.


By saintshakajin at Fri, 2005/03/04 - 6:00am

Ive found some rc1 packages, they can be downloaded there:
http://pkg-kde.alioth.debian.org/kde-3.4.0/

They are not yet completed but kdegraphics, kdemultimedia and kdeaccessibility are. That means the new kpdf (which is really great) and text-to-speech

Steph


By Stéphane Magnenat at Fri, 2005/03/04 - 6:00am

qt3 >= 3.3.4 is needed by kdelibs3-3.3.92-1

Above says all :(


By Iuri Fiedoruk at Thu, 2005/02/10 - 6:00am

The README tells you where to get it.

> Above says all :(

Yep, you didn't read the README.


By Anonymous at Thu, 2005/02/10 - 6:00am

This is some rpm dependancy. KDE 3.4 does NOT require qt3.3.4
There is no such thing in the README too.
I'm compiling the kdelibs sources and everything is fine . (for now :) )


By joro at Thu, 2005/02/10 - 6:00am

> There is no such thing in the README too.

There is, read again: ftp://ftp.kde.org/pub/kde/unstable/3.3.92/SuSE/README


By Anonymous at Thu, 2005/02/10 - 6:00am

The Qt package has been on SUSE's download page since 1 Feb. Having been well cheesed off by their Christmas kernel, I feel a need to mention this.


By gerryg at Fri, 2005/02/11 - 6:00am

test/kde3.4-beta2/lib -ltag -lkhtml -lartskde ../akode/lib/libakode.la
/home/kde-test/kde3.4-beta2/lib/libartsflow.so: undefined reference to `g_assert_warning'
/home/kde-test/kde3.4-beta2/lib/libartsflow.so: undefined reference to `g_return_if_fail_warning'
collect2: ld returned 1 exit status
make[5]: *** [juk] Error 1
make[5]: Leaving directory `/home/kde-test/konstruct/kde/kdemultimedia/work/kdemultimedia-3.3.92/juk'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/home/kde-test/konstruct/kde/kdemultimedia/work/kdemultimedia-3.3.92/juk'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/kde-test/konstruct/kde/kdemultimedia/work/kdemultimedia-3.3.92'
make[2]: *** [all] Error 2
make[2]: Leaving directory `/home/kde-test/konstruct/kde/kdemultimedia/work/kdemultimedia-3.3.92'
make[1]: *** [build-work/kdemultimedia-3.3.92/Makefile] Error 2
make[1]: Leaving directory `/home/kde-test/konstruct/kde/kdemultimedia'
make: *** [dep-../../kde/kdemultimedia] Error 2

Any help? It's a glib issue, I guess. LD_LIBRARY_PATH is set to ~/kde3.4-beta2/lib


By Eike Hein at Thu, 2005/02/10 - 6:00am

Make sure you install the latest GNOME before installing KDE!

Alternately, if you copy/paste the last command you can try adding /usr/lib/libglib.a to the end and compile GuK manually.


By ac at Thu, 2005/02/10 - 6:00am

Konstruct should fetch all required dependencies, including glib - and it has. It looks like the linker ends up using different files, but I don't get why. The environment variables *seem* to be set up correctly,


By Eike Hein at Thu, 2005/02/10 - 6:00am

On what distribution is that? http://bugs.kde.org/show_bug.cgi?id=94975 describes the same problem for someone compiling k3b on a SUSE 8.2 updated to KDE 3.3.2.


By Anonymous at Thu, 2005/02/10 - 6:00am

Gentoo Linux - I did Google for the problem, but couldn't find an easy fix.


By Eike Hein at Thu, 2005/02/10 - 6:00am

Why are you using Konstruct on Gentoo instead ebuilds? That doesn't make much sense to me.


By Anonymous at Thu, 2005/02/10 - 6:00am

Well, because Gentoo didn't have Beta 2 ebuilds at the time, also Konstruct allows me to very easily put everything in a test user account's home folder, self-contained.


By Sho at Fri, 2005/02/11 - 6:00am

Within kde/kdemultimedia/ append " --enable-new-ldflags" to the CONFIGURE_ARGS line and run "make clean".


By binner at Thu, 2005/02/10 - 6:00am

Thanks!


By Eike Hein at Thu, 2005/02/10 - 6:00am

Hello,

i've downloaded and installed KDE 3.4 Beta 2 on my SuSE 9.1 System over KDE 3.3, but i had only problems with it :( my keyboard does not work on KDE 3.4, so i couldn't use the kwallet to type in the password for kopete etc.. and KMail couldn't send any E-Mails because of an error.. that's all strange errors i didn't have with KDE 3.3..

regards


By jiin at Thu, 2005/02/10 - 6:00am

Did you install their Qt 3.3.4 rpm?


By Anonymous at Thu, 2005/02/10 - 6:00am

oh, i've forgotten to read the readme before installing kde 3.4 beta 2, now it works :) thank You!


By jiin at Thu, 2005/02/10 - 6:00am

i'm running Suse 9.2 and my keyboard stopped working here to after installing the suse rpms. i suppose this problem is specific to the suse rpms?


By ac at Thu, 2005/02/10 - 6:00am

The SUSE README has been updated with:

* People with keyboard input problems after reboot should call
/opt/kde3/bin/genkdmconf --no-old --in /etc/opt/kde3/share/config/kdm/
and restart kdm. You can boot into runlevel 3 (no kdm) with entering
"3" at the boot prompt from Grub or Lilo.


By Anonymous at Thu, 2005/02/10 - 6:00am

Pages